
local function destroy_population(surface)
    for c in surface.get_chunks() do
        for key, entity in pairs(surface.find_entities_filtered({area={{c.x * 32, c.y * 32}, {c.x * 32 + 32, c.y * 32 + 32}}, force="enemy"})) do
            if math.random() > 0.5 then
                entity.destroy()
            end
        end
    end
end

local function print(...)
    for i, player in ipairs(game.players) do
        player.print(...)
    end
end

local RUN_RATE = 6*3600*60
local nextRun
local function on_tick(event)
    local tick = event.tick
    if nextRun ~= nil then
        if tick >= nextRun then
            nextRun = tick - (tick % RUN_RATE) + RUN_RATE
            print("Extinction!")
            destroy_population(game.surfaces["nauvis"])
        end
    else
        nextRun = tick - (tick % RUN_RATE) + RUN_RATE
    end
end

script.on_event(defines.events.on_tick, on_tick)
